Package org.eclipse.net4j.db.ddl.delta

# Interface IDBDeltaWithProperties

All Superinterfaces:
  `Comparable<IDBDelta>`, `org.eclipse.net4j.util.container.IContainer<IDBDelta>`, `IDBDelta`, `IDBElement`, `IDBNamedElement`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `IDBDeltaWithPosition`, `IDBFieldDelta`, `IDBIndexDelta`, `IDBIndexFieldDelta`

public interface IDBDeltaWithProperties extends IDBDelta

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`IDBDelta.ChangeKind, IDBDelta.DeltaType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`<T> IDBPropertyDelta<T>`
`getPropertyDelta(String name)`
`Map<String,IDBPropertyDelta<?>>`
`getPropertyDeltas()`
`IDBPropertyDelta<?>[]`
`getPropertyDeltasSortedByName()`
`<T> T`
`getPropertyValue(String name)`
`<T> T`
`getPropertyValue(String name, boolean old)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`accept, getChangeKind, getDeltaType, getParent, getSchemaDelta, getSchemaElement`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

`getName`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getPropertyDelta

<T> IDBPropertyDelta<T> getPropertyDelta(String name)

### getPropertyValue

<T> T getPropertyValue(String name)

### getPropertyValue

<T> T getPropertyValue(String name, boolean old)

### getPropertyDeltas

Map<String,IDBPropertyDelta<?>> getPropertyDeltas()

### getPropertyDeltasSortedByName

IDBPropertyDelta<?>[] getPropertyDeltasSortedByName()